Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.toolkit
Class AbstractCustomizer

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      jpicedt.graphic.toolkit.AbstractCustomizer

All Implemented Interfaces:
  Accessible, ComponentListener, EventListener, ImageObserver, MenuContainer, Serializable

Direct Known Subclasses:
  DirectoriesCustomizer, DockableAttributesCustomizer.ArrowPropertiesPanel, DockableAttributesCustomizer.FillPropertiesPanel, DockableAttributesCustomizer.HatchPropertiesPanel, DockableAttributesCustomizer.PolydotsPropertiesPanel, DockableAttributesCustomizer.PstCustomPropertiesPanel, DockableAttributesCustomizer.ShadowPropertiesPanel, DockableAttributesCustomizer.StrokePropertiesPanel, DockableAttributesCustomizer.TextPropertiesPanel, Drawing.Customizer, EepicCustomizer, GeneralCustomizer, GridZoomCustomizer, LatexCustomizer, PageFormat.Customizer, PstricksCustomizer, RenderingCustomizer, ShortcutsCustomizer, UIColorCustomizer

public abstract class AbstractCustomizer
extends JPanel
implements ComponentListener

An abstract superclass that alleviates the burden of creating a customizer panel, by providing a common set of behaviours where storing/retrieving value to/from a Properties object (or any storage class) is concerned. In particular, the hosting panel should provide UI commands to load default values, reload previously stored values, and store value to the approriate stream (choice of which is being left to concrete implementation of related abstract methods).

Since:
  jPicEdt 1.3.2
Version:
  $Id: AbstractCustomizer.java,v 1.6.2.1 2007/09/02 11:56:27 reynal Exp $
Author:
  Sylvain Reynal
See Also:
  `CustomizerDialog`, Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AbstractCustomizer()` Construct a new preferences-panel with BorderLayout as the default layout.

Method Summary
`protected void` | `activated()` called when this component gets activated ; may be used to request focus this implementation does nothing
`void` | `componentHidden(ComponentEvent e)` public as an implementation side effect
`void` | `componentMoved(ComponentEvent e)` public as an implementation side effect
`void` | `componentResized(ComponentEvent e)` public as an implementation side effect
`void` | `componentShown(ComponentEvent e)` calls "activated"
`Icon` | `getIcon()` Returns the Icon associated with this panel, used e.g.
`String` | `getTitle()` Returns the panel title, used e.g.
`String` | `getTooltip()` Returns the tooltip string associated with this panel ; default implementation returns an empty string.
`abstract void` | `load()` Loads widgets display content, presumably from a "preferences" file or a dedicated storage class
`void` | `loadDefault()` Loads widgets display content with a default value, presumably from a "default preferences" file or a dedicated storage class.
`abstract void` | `store()` Stores current widgets value, presumably to a file or to a dedicated storage class

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractCustomizer

    public AbstractCustomizer()

  Construct a new preferences-panel with BorderLayout as the default layout.

Method Detail

### loadDefault

    public void loadDefault()

  Loads widgets display content with a default value, presumably from a "default preferences" file or a dedicated storage class.

### load

    public abstract void load()

  Loads widgets display content, presumably from a "preferences" file or a dedicated storage class

### store

    public abstract void store()

  Stores current widgets value, presumably to a file or to a dedicated storage class

### getTitle

    public String getTitle()

  Returns the panel title, used e.g. for Border or Tabpane title.
  Default implementation returns this class name.

### getIcon

    public Icon getIcon()

  Returns the Icon associated with this panel, used e.g. for TabbedPane decoration ; default implementation returns null.

### getTooltip

    public String getTooltip()

  Returns the tooltip string associated with this panel ; default implementation returns an empty string.

### activated

    protected void activated()

  called when this component gets activated ; may be used to request focus this implementation does nothing

### componentHidden

    public void componentHidden(ComponentEvent e)

  public as an implementation side effect

  Specified by:
    `componentHidden` in interface `ComponentListener`

### componentMoved

    public void componentMoved(ComponentEvent e)

  public as an implementation side effect

  Specified by:
    `componentMoved` in interface `ComponentListener`

### componentResized

    public void componentResized(ComponentEvent e)

  public as an implementation side effect

  Specified by:
    `componentResized` in interface `ComponentListener`

### componentShown

    public void componentShown(ComponentEvent e)

  calls "activated"

  Specified by:
    `componentShown` in interface `ComponentListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org